epp_TransferStatusType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.epp_TransferStatusType class

### org.openrtk.idl.epp02

# Class epp_TransferStatusType

- `java.lang.Object`
- - `org.openrtk.idl.epp02.epp_TransferStatusType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_TransferStatusType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/epp_TransferStatusType.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp.idl Thursday, July 26, 2001 6:26:03 PM EDT

  ## Field Summary
  `static epp_TransferStatusType` | `APPROVED`
  `static epp_TransferStatusType` | `AUTO_APPROVED`
  `static epp_TransferStatusType` | `AUTO_CANCELLED`
  `static epp_TransferStatusType` | `CANCELLED`
  `static epp_TransferStatusType` | `PENDING`
  `static epp_TransferStatusType` | `REJECTED`
  `static int` | `_APPROVED`
  `static int` | `_AUTO_APPROVED`
  `static int` | `_AUTO_CANCELLED`
  `static int` | `_CANCELLED`
  `static int` | `_PENDING`
  `static int` | `_REJECTED`

  ## Constructor Summary
  `epp_TransferStatusType(int value)`

  ## Method Summary
  `static epp_TransferStatusType` | `from_int(int value)`
  `int` | `value()`

## Field Details

### APPROVED

    public static final epp_TransferStatusType APPROVED

### AUTO_APPROVED

    public static final epp_TransferStatusType AUTO_APPROVED

### AUTO_CANCELLED

    public static final epp_TransferStatusType AUTO_CANCELLED

### CANCELLED

    public static final epp_TransferStatusType CANCELLED

### PENDING

    public static final epp_TransferStatusType PENDING

### REJECTED

    public static final epp_TransferStatusType REJECTED

### _APPROVED

    public static final int _APPROVED

> Field Value:
>   1

### _AUTO_APPROVED

    public static final int _AUTO_APPROVED

> Field Value:
>   4

### _AUTO_CANCELLED

    public static final int _AUTO_CANCELLED

> Field Value:
>   5

### _CANCELLED

    public static final int _CANCELLED

> Field Value:
>   2

### _PENDING

    public static final int _PENDING

> Field Value:
>   0

### _REJECTED

    public static final int _REJECTED

> Field Value:
>   3

## Constructor Details

### epp_TransferStatusType

    protected epp_TransferStatusType(int value)

## Method Details

### from_int

    public static epp_TransferStatusType from_int(int value)

### value

    public int value()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS